Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class DHTMLNoTabControl

`java.lang.Object
oracle.jdeveloper.html.HTMLElement
oracle.jdeveloper.html.DHTMLElement
oracle.jdeveloper.html.DHTMLElementContainer
oracle.jdeveloper.html.HTMLScript
oracle.jdeveloper.html.DHTMLNoTabControl`

Direct Known Subclasses:
  JSContainer

public class DHTMLNoTabControl
extends HTMLScript

Version:
  PUBLIC

Field Summary
`protected java.lang.String` | `helpText`
`protected boolean` | `longPage`
`protected java.lang.String` | `name`
`protected java.lang.String` | `title`

Fields inherited from class oracle.jdeveloper.html.HTMLScript
`version`

Fields inherited from class oracle.jdeveloper.html.DHTMLElementContainer
`Elements`

Fields inherited from class oracle.jdeveloper.html.HTMLElement
`sClassName`

Constructor Summary
`DHTMLNoTabControl()`
`DHTMLNoTabControl(java.lang.String name)`

Method Summary
`java.lang.String` | `getHelpText()`
`java.lang.String` | `getName()`
`java.lang.String` | `getTitle()`
`protected void` | `renderContainerHeader(java.io.PrintWriter out)`
`void` | `setHelpText(java.lang.String helpText)`
`void` | `setName(java.lang.String name)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class oracle.jdeveloper.html.HTMLScript
`addFunction, renderContainerFooter, setVersion`

Methods inherited from class oracle.jdeveloper.html.DHTMLElementContainer
`addElement, addElement, elementAt, indexOf, numberOfElements, removeElement, removeElement, removeElementAt, render, renderElementFooter, renderElementHeader`

Methods inherited from class oracle.jdeveloper.html.DHTMLElement
`CheckValidName, filterDataChar`

Methods inherited from class oracle.jdeveloper.html.HTMLElement
`fixFieldValueForHTML, getAsString, getCSSClassName, quote, render, setCSSClassName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### title

    protected java.lang.String title

### helpText

    protected java.lang.String helpText

### longPage

    protected boolean longPage

Constructor Detail

### DHTMLNoTabControl

    public DHTMLNoTabControl()

### DHTMLNoTabControl

    public DHTMLNoTabControl(java.lang.String name)

Method Detail

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setTitle

    public void setTitle(java.lang.String title)

### getTitle

    public java.lang.String getTitle()

### setHelpText

    public void setHelpText(java.lang.String helpText)

### getHelpText

    public java.lang.String getHelpText()

### renderContainerHeader

    protected void renderContainerHeader(java.io.PrintWriter out)

  Overrides:
    `renderContainerHeader` in class `HTMLScript`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.